--- title: "List quarantined emails" slug: "list-quarantined-emails" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/list-quarantined-emails" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # List quarantined emails Lists quarantined emails. ``` GET https://
/wsapis/v2.0.0/emailmgmt/quarantine ``` Availability This command is available on the following appliances: - Central Management System - Email Security — Server Required header: ``` X-FeApi-Token: [API-Token] ``` ### Options - address—This is the IP address of the appliance running the Web Services API. - API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity. ### Parameters - `start_time`—(YYYY-MM-DD'T'HH:MM:SS.SSS-HHMM) `end_time`—(YYYY-MM-DD'T'HH:MM:SS.SSS-HHMM). These filters are optional, but if used, they must be passed as a pair. Default: `now()` - 24 hours. - `from:<string>`—The email sender. Optional. - `subject:<string>`—The email subject. Must be URL encoded. Optional. - `limit`—Number of records to return (default: 10000). Optional. - `appliance_id`—Optional. ### Example request ``` GET https://
/wsapis/v2.0.0/emailmgmt/quarantine ``` ### List quarantined emails response - Response Code—A standard HTML response code. - 200—Request successful. Email Security — Server: ``` [  {    "email_uuid" : "69a7e8f2-4bdd-460a-be8f-891ece18a10f",    "queue_id"   : "AAABBBCCCDD",    "message_id" : "XXXYYYZZZPPP",    "timestamp"  : "2019-07-04T00:00:00.000-00:00",    "from"       : "user@domain.com",    "subject"    : "send me all your money"  } ] ``` Central Management System: ``` [  {    "email_uuid": "eb306a5a-e84d-4f39-b166-8f2c687efcdd",    "queue_id": "45T1YF48LBz16vPQ",    "message_id": "retroactive_detection_E-74805_vgtnl@automation.com",    "completed_at": "2019-06-18T21:35:18",    "from": "test@testretro.com",    "subject": "E-74805 - Test mail",    "appliance_id": "00259085F550  } ] ``` ### cURL code sample: list quarantined emails The following code sample can be copied and executed from any command-line interface that includes the cURL library. ### Note In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool. `curl -qgsSk --header "X-FeApi-Token: IHAT75KulvFZ2fz7NqMJRIRRCmNYQFuXXX=" "https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/emailmgmt/quarantine" ` This cURL sample includes the following options: - `-q`—This option specifies that the `curlrc` config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/emailmgmt/quarantine`—The quarantine request URL. Replace the IP address `xxx.xxx.xxx.xxx` with the IP address of your appliance. ###### Results This example returns a JSON array of email quarantine objects. :